# WOK
TKWOK
WOKOBJS

# WOKOBJS_AppSchCxxFile Class Reference

`#include <WOKOBJS_AppSchCxxFile.hxx>`

Inheritance diagram for WOKOBJS_AppSchCxxFile:

[legend]

## Public Member Functions

Standard_EXPORT | WOKOBJS_AppSchCxxFile (const Handle(WOKUtils_Path)&apth)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT Handle_TCollection_HAsciiString | GetAppSchSourceFileName (const WOKUtils_Param &params, const Handle(TCollection_HAsciiString)&aname)

## Constructor & Destructor Documentation

Standard_EXPORT WOKOBJS_AppSchCxxFile::WOKOBJS_AppSchCxxFile | ( | const Handle(WOKUtils_Path)& | apth | ) |

## Member Function Documentation

static Standard_EXPORT Handle_TCollection_HAsciiString WOKOBJS_AppSchCxxFile::GetAppSchSourceFileName | ( | const WOKUtils_Param & | params,
|  | const Handle(TCollection_HAsciiString)& | aname
| ) | `[static]`

Standard_EXPORT const WOKOBJS_AppSchCxxFile::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKBuilder_Entity.

The documentation for this class was generated from the following file:

- WOKOBJS_AppSchCxxFile.hxx